#
# spec file for package yast2-config-nfs (Version 2.4.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-lib-wizard yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-lib-wizard yast2-testsuite ycpdoc

Name:         yast2-config-nfs
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-trans-nfs yast2-lib-wizard yast2-lib-sequencer
Requires:	yast2-config-package-manager
Requires:       yast2-config-runlevel
Provides:	yast2-config-network:/usr/lib/YaST2/clients/lan_nfs_client.ycp
BuildArchitectures:	noarch
Summary:      YaST2 - Configuration of NFS
Version:      2.4.12
Release:      36
Source0:	yast2-config-nfs-2.4.12.tar.bz2

%description
The YaST2 component for configuration of NFS.
NFS stands for network file system access.
It allows access to files on remote machines.

Authors:
--------
    Dan Vesely <dan@suse.cz> 
    Martin Vidner <mvidner@suse.cz>

SuSE series: yast

%package devel
Summary:      YaST2 - Configuration of NFS, developer documentation
Version:      2.4.12
Release:      36
Group:		System Environment/YaST

%description devel
Documentation for developers who want to understand or modify
the sources of the Network File system configuration module.

Authors:
--------
    Dan Vesely <dan@suse.cz> 
    Martin Vidner <mvidner@suse.cz>

SuSE series: yast

%prep
%setup -n yast2-config-nfs-2.4.12

%build
./configure
make

%install
make install
make check

%files
%dir /usr/lib/YaST2/include/nfs
/usr/lib/YaST2/include/nfs/*
/usr/lib/YaST2/clients/nfs.ycp
/usr/lib/YaST2/menuentries/menuentry_nfs.ycp

%files devel
%doc /usr/share/doc/packages/yast2-config-nfs

%changelog -n yast2-config-nfs
* Thu Sep 20 2001 - mvidner@suse.cz
- Fixed #11079: noauto and other generic options were refused.
- Also correctly says Wrong option instead of Wrong option format
- and strips spaces instead of giving a confusing error.
- 2.4.12
* Fri Sep 14 2001 - mvidner@suse.cz
- Added missing keyboard focus to OK buttons (#9915) (2.4.11)
* Thu Sep 06 2001 - mvidner@suse.cz
- Dialog size and spacing fixes (for ncurses). (2.4.10)
* Mon Sep 03 2001 - mvidner@suse.cz
- Use yast2-config-runlevel.
- Start portmap only if not running already (Bug #9999).
- Strip a trailing slash off pathnames (it confused "rcnfs status").
- 2.4.9
* Fri Aug 31 2001 - ro@suse.de
- added <libycp-devel> to neededforbuild (for testsuite)
* Thu Aug 23 2001 - mvidner@suse.cz
- Added documentation in a devel subpackage (2.4.7)
* Tue Aug 21 2001 - mvidner@suse.cz
- Only one <p> per string. (2.4.6)
* Tue Aug 07 2001 - mvidner@suse.cz
- Changed from RPM Requires to require.ycp.
- 2.4.5
* Mon Jul 30 2001 - mvidner@suse.cz
- Turned off autoheader.
- UI bug in test suite: sformat(UI(_(...))) -> sformat(_(...))
- Replaced _("&OK") by OKButtonLabel() etc.
- Unified the buttons to Add-Edit-Delete.
- Made keyboard shortcuts unique.
- version 2.4.4
* Tue Jul 24 2001 - mvidner@suse.cz
- Fixed a stupid error in the specfile.
- version 2.4.3
* Mon Jul 23 2001 - mvidner@suse.cz
- Fixed calling the writing function, fixed obsolete Mkdir call.
- added a testsuite
- Requires portmap
- version 2.4.2
* Thu Jul 19 2001 - msvec@suse.cz
- correct textdomain
- correct provides
- version 2.4.1
* Wed Jul 18 2001 - msvec@suse.cz
- split of the yast2-config-network
- version 2.4.0
